ch.qos.logback.core.util

## Class StatusListenerConfigHelper

- java.lang.Object
- - ch.qos.logback.core.util.StatusListenerConfigHelper

    public class StatusListenerConfigHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StatusListenerConfigHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addOnConsoleListenerInstance(Context context, OnConsoleStatusListener onConsoleStatusListener)` This utility method adds a new OnConsoleStatusListener to the context passed as parameter.
`static void` `installIfAsked(Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusListenerConfigHelper

    public StatusListenerConfigHelper()

### Method Detail

#### installIfAsked

    public static void installIfAsked(Context context)

#### addOnConsoleListenerInstance

    public static void addOnConsoleListenerInstance(Context context,
                                                    OnConsoleStatusListener onConsoleStatusListener)

This utility method adds a new OnConsoleStatusListener to the context passed as parameter.

Parameters:
  `context` -
Since:
  1.0.1